# use macro instead of shell variable to avoid error in %%files
# also don't expand enclose the value into '' because of the same error
#   error: File must begin with "/": $dst
%global dst /usr/share/licenses/licenses/

Name:      licenses
Version:   1.0
Release:   1%{?dist}
Summary:   The standard licenses distribution package
Group:     System Environment/Base
License:   CC-BY-SA
URL:       https://fedoraproject.org
BuildArch: noarch

# NOTE
#   in comments you can find how to refer to particular licenses
#   we can't put here Python licenses as they always incorporate version
#     numbers (https://docs.python.org/2/license.html)

Source0: http://www.apache.org/licenses/LICENSE-2.0.txt#/apache-2.0.txt
# CCPL-CC-BY
Source1: http://creativecommons.org/licenses/by/3.0/legalcode.txt#/cc-by-3.0.txt
Source2: http://creativecommons.org/licenses/by-nc/3.0/legalcode.txt#/cc-by-nc-3.0.txt
Source3: http://creativecommons.org/licenses/by-nc-nd/3.0/legalcode.txt#/cc-by-nc-nd-3.0.txt
Source4: http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode.txt#/cc-by-nc-sa-3.0.txt
Source5: http://creativecommons.org/licenses/by-nd/3.0/legalcode.txt#/cc-by-nd-3.0.txt
Source6: http://creativecommons.org/licenses/by-sa/3.0/legalcode.txt#/cc-by-sa-3.0.txt
# http://opensource.org/licenses/cddl1.txt
Source7:  cddl-1.0.txt
# http://opensource.org/licenses/eclipse-1.0.txt
Source8:  eclipse-1.0.txt
Source9:  http://www.gnu.org/licenses/agpl-3.0.txt
Source10: http://www.gnu.org/licenses/gpl-2.0.txt
Source11: http://www.gnu.org/licenses/gpl-3.0.txt
Source12: http://www.gnu.org/licenses/lgpl-2.1.txt
Source13: http://www.gnu.org/licenses/lgpl-3.0.txt
Source14: http://www.gnu.org/licenses/fdl-1.2.txt
Source15: http://www.gnu.org/licenses/fdl-1.3.txt
Source16: http://www.latex-project.org/lppl.txt#/lppl-1.3c.txt
Source17: http://www.mozilla.org/MPL/1.1/index.txt#/mpl-1.1.txt
# http://dev.perl.org/licenses/artistic.html
Source18: artistic-1.0.txt
Source19: http://www.perlfoundation.org/attachment/legal/artistic-2_0.txt#/artistic-2.0.txt
Source20: http://php.net/license/3_01.txt#/php-3.01.txt
Source21: http://www.ruby-lang.org/en/about/license.txt#/ruby.txt
# http://www.ibm.com/developerworks/library/os-cpl.html
Source22: cpl-1.0.txt
# http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
Source23: w3c.txt
# http://foundation.zope.org/agreements/ZPL_2.1.pdf
Source24: zpl-2.1.txt

%description
Bundle with standard licenses which can be distributed separately
from a source code itself.

%prep

%build

%install
mkdir -p %{buildroot}/%{dst}
# _sourcedir always contains only sources
mv %{_sourcedir}/* %{buildroot}/%{dst}
chmod a=r %{buildroot}/%{dst}/*

%files
# can't us %%doc as it's impossible to use it in batch
%docdir %{dst}
%{dst}/*

%changelog
* Wed Aug 13 2014 Jan Pacner <jpacner@redhat.com> - 1.0-1
- inital release (inspired by Arch Linux PKGBUILD)
